Skip to main content
PATCH
/
webhooks
/
{webhook_id}
Update Webhook
curl --request PATCH \
  --url https://api.{your-broker}.slate-labs.com/webhooks/{webhook_id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "endpoint_url": "<string>",
  "secret": "<string>",
  "is_active": true,
  "batch_size_max": 123
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "affiliate_id": "<string>",
  "endpoint_url": "<string>",
  "is_active": true,
  "batch_size_max": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Path Parameters

webhook_id
string<uuid>
required

Body

application/json
endpoint_url
string | null
secret
string | null
is_active
boolean | null
batch_size_max
integer | null

Response

Successful Response

id
string<uuid>
required
affiliate_id
string
required
endpoint_url
string
required
is_active
boolean
required
batch_size_max
integer
required
created_at
string<date-time>
required
updated_at
string<date-time>
required